html,
body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

html :where(img[class*=wp-image-]) {
    width: 100%;
    margin-bottom: 24px;
}

.blog-banner {
    position: relative;
    overflow: hidden;
    background: #f3f3f3;
    padding: 100px;
}

body.single-post h2 {
    margin-bottom: 24px;
}

body.single-post h3 {
    margin-bottom: 24px;
}

#text {
    margin-bottom: 50px;
}

.blog-content-section .blog-content p {
    color: #211E1F;
    align-self: stretch;
    font-family: Roboto;
    font-size: 18px;
    font-style: normal;
    font-weight: 300;
    line-height: 25px;
    margin-bottom: 30px;
}


/* BLUE SHAPE BACKGROUND */

.blog-banner::after {
    content: "";
    position: absolute;
    top: 0;
    right: -77px;
    width: 52%;
    height: 100%;
    background: linear-gradient(270deg, #0484fc 0%, #0369c9 40%, #024f96 100%);
    clip-path: polygon(18% 0%, 100% 0%, 100% 100%, 18% 100%, 0% 50%);
    z-index: 0;
}

.page-id-1555 .single-post h2:contains("Overview") {
    display: flex;
    padding: 24px;
    flex-direction: column;
    align-items: center;
    gap: 24px;
    align-self: stretch;
    background: var(--Radial-Gray, radial-gradient(78.26% 70.69% at 49.97% 50%, rgba(255, 255, 255, 0.30) 0%, rgba(233, 233, 233, 0.30) 69.05%, rgba(203, 203, 203, 0.30) 100%));
}


/* WRAPPER */

.blog-banner .wrapper {
    position: relative;
    z-index: 2;
    max-width: 1576px;
    display: flex;
    align-items: center;
}


/* LEFT SIDE */

.blog-left {
    flex: 0 0 50%;
    max-width: 50%;
}


/* BACK BUTTON */

.blog-back {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 25px;
    text-decoration: none;
}

.blog-back-text {
    font-size: 16px;
    font-weight: 600;
    color: #211E1F;
}


/* TITLE */

.blog-title h2 {
    font-size: clamp(36px, 5vw, 64px);
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.blog-title p {
    color: #211E1F;
    font-size: 18px;
    font-style: normal;
    font-weight: 300;
    line-height: 25px;
    /* 138.889% */
    max-width: 739px;
}

section.blog-content-section {
    padding-top: 100px;
    padding-bottom: 0;
}

.blog-content {
    width: 100%;
    max-width: 1600px;
    margin: 0 auto;
    padding: 0 20px;
}


/* RIGHT IMAGE */

.banner-image {
    flex: 0 0 45%;
    max-width: 45%;
}

.banner-image img {
    width: 111%;
    height: auto;
}

.related-blogs {
    background: #f5f5f5;
    padding: 100px;
}

.related-blogs .related-top {
    justify-content: center;
    margin-bottom: 48px;
}

.related-blogs .related-top h2 {
    color: #211E1F;
    text-align: center;
    font-size: 40px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.related-blogs .row {
    display: flex;
    flex-wrap: wrap;
}

.related-blogs .col-md-6,
.related-blogs .col-lg-4 {
    display: flex;
}

.related-blogs .blog-card {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    background: #fff;
    border-radius: 18px;
    overflow: hidden;
    border: 1px solid rgba(33, 30, 31, 0.12);
    box-shadow: none;
    transition: 0.3s ease;
}

.related-blogs .blog-card:hover {
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
}

.related-blogs .blog-card img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    display: block;
}

.related-blogs .blog-body {
    padding: 28px 30px 26px;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.related-blogs .blog-body a {
    text-decoration: none;
}

.related-blogs .blog-body h3 {
    color: #333;
    font-size: 28px;
    font-style: normal;
    font-weight: 700;
    line-height: 1.15;
    margin: 0 0 16px;
}

.related-blogs .blog-body p {
    color: #5C5C5C;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 1.55;
    margin: 0 0 24px;
}

.related-blogs .btn-read {
    margin-top: auto;
    display: inline-flex;
    align-items: center;
    gap: 8px;
    color: #211E1F;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    text-decoration: none;
}

.related-blogs .btn-read span {
    color: #211E1F;
}

.related-blogs .btn-read svg {
    transition: transform .3s ease;
}

.related-blogs .blog-card:hover .btn-read svg {
    transform: translateX(6px);
}

@media (max-width: 1199px) {
    .related-blogs .related-top h2 {
        font-size: 48px;
    }
    .related-blogs .blog-card img {
        height: 260px;
    }
    .related-blogs .blog-body h3 {
        font-size: 24px;
    }
}

@media (max-width: 991px) {
    .related-blogs {
        padding: 70px 30px;
    }
    .related-blogs .related-top h2 {
        font-size: 40px;
    }
}


/* OVERVIEW BOX */

.overview-box {
    background: var(--Radial-Gray, radial-gradient(78.26% 70.69% at 49.97% 50%, rgba(255, 255, 255, 0.30) 0%, rgba(233, 233, 233, 0.30) 69.05%, rgba(203, 203, 203, 0.30) 100%));
}

.overview-box h3 {
    font-size: 26px;
    font-weight: 700;
    margin-bottom: 24px;
}

.overview-box ul {
    padding-left: 18px;
}

.overview-box li {
    color: #211E1F;
    font-size: 18px;
    font-style: normal;
    font-weight: 300;
    line-height: 25px;
    /* 138.889% */
}

.blog-table-section {
    background: #fff;
    padding-top: 0;
    padding-bottom: 100px;
}

.blog-table-content {
    max-width: 1600px;
}

.blog-table-content h2 {
    font-size: 34px;
    font-weight: 700;
    color: #2b2b2b;
    margin-bottom: 15px;
}

.blog-table-content p {
    color: #666;
    line-height: 1.7;
    margin-bottom: 40px;
}


/* TABLE */

.table-wrapper {
    width: 100%;
}

.blog-table {
    width: 100%;
    border-collapse: collapse;
    background: #f7f7f7;
    table-layout: fixed;
}

.blog-table th,
.blog-table td {
    border: 1px solid #d7d7d7;
    padding: 28px 30px;
    text-align: left;
    vertical-align: top;
    background-color: #fff;
    width: 33.33%;
}

.blog-table th {
    font-size: 18px;
    font-weight: 700;
}

.blog-table td {
    font-size: 15px;
    color: #555;
    line-height: 1.7;
}

.blog-table-content h3 {
    font-size: 28px;
    font-weight: 700;
    margin-top: 50px;
    margin-bottom: 15px;
    color: #2b2b2b;
}

.blog-table-content h2 {
    padding-top: 50px;
}

.blog-table-content p {
    color: #666;
    line-height: 1.7;
}

.blog-image-section {
    padding-bottom: 100px;
    padding-top: 0;
}

.blog-image-content h2 {
    font-size: 40px;
    font-weight: 700;
    margin-bottom: 30px;
    color: #2b2b2b;
}

.blog-image {
    margin-bottom: 30px;
}

.blog-image img {
    width: 100%;
    height: auto;
    border-radius: 14px;
    display: block;
}

.blog-text p {
    font-size: 16px;
    line-height: 1.8;
    color: #666;
    margin-bottom: 22px;
}


/* SHARE */

.blog-share {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-top: 30px;
}

.share-label {
    color: #0484FC;
    font-family: Roboto;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 25px;
}

.share-icon {
    display: flex;
    align-items: center;
}

.share-icon svg {
    transition: 0.25s ease;
}

.share-icon:hover svg {
    transform: scale(1.1);
}

@media (max-width: 1199px) {
    .blog-banner {
        padding: 70px 30px;
    }
    .blog-banner .wrapper {
        position: relative;
        z-index: 2;
        max-width: 1576px;
        display: flex;
        align-items: center;
        flex-direction: column;
    }
    .banner-image img {
        width: 100%;
        height: auto;
    }
    .blog-left {
        max-width: 100%;
        padding-bottom: 50px;
    }
    .banner-image {
        max-width: 55%;
    }
    .banner-image img {
        width: 130%;
        /* control size */
        max-width: none;
        height: auto;
        position: relative;
        left: 50%;
        transform: translateX(-50%);
    }
    .blog-banner::after {
        content: "";
        position: absolute;
        top: 340px;
        right: -88px;
        width: 106%;
        height: 55%;
        background: linear-gradient(270deg, #0484fc 0%, #0369c9 40%, #024f96 100%);
        clip-path: polygon(18% 0%, 100% 0%, 100% 100%, 18% 100%, 0% 50%);
        z-index: 0;
    }
    .blog-title p {
        max-width: 1089px;
    }
    @media (max-width: 920px) {
        .blog-banner {
            padding: 50px 20px;
        }
        .blog-banner::after {
            content: "";
            position: absolute;
            top: 384px;
            right: -88px;
            width: 106%;
            height: 51%;
            background: linear-gradient(270deg, #0484fc 0%, #0369c9 40%, #024f96 100%);
            clip-path: polygon(18% 0%, 100% 0%, 100% 100%, 18% 100%, 0% 50%);
            z-index: 0;
        }
    }
    @media (max-width: 767px) {
        .blog-banner::after {
            content: "";
            position: absolute;
            top: 331px;
            right: -88px;
            width: 109%;
            height: 44%;
            background: linear-gradient(270deg, #0484fc 0%, #0369c9 40%, #024f96 100%);
            clip-path: polygon(18% 0%, 100% 0%, 100% 100%, 18% 100%, 0% 50%);
            z-index: 0;
        }
        .blog-left {
            padding-bottom: 0;
        }
    }
    @media (max-width: 767px) {
        .blog-banner {
            padding: 50px 20px;
        }
        .blog-banner::after {
            content: "";
            position: absolute;
            top: 354px;
            right: -88px;
            width: 104%;
            height: 39%;
            background: linear-gradient(270deg, #0484fc 0%, #0369c9 40%, #024f96 100%);
            clip-path: polygon(18% 0%, 100% 0%, 100% 100%, 18% 100%, 0% 50%);
            z-index: 0;
        }
    }
    @media (max-width: 612px) {
        .blog-banner::after {
            content: "";
            position: absolute;
            top: 391px;
            right: -88px;
            width: 104%;
            height: 36%;
            background: linear-gradient(270deg, #0484fc 0%, #0369c9 40%, #024f96 100%);
            clip-path: polygon(18% 0%, 100% 0%, 100% 100%, 18% 100%, 0% 50%);
            z-index: 0;
        }
    }
}

@media (max-width: 1199px) {
    /* REMOVE background from ALL layers */
    section.blog-banner,
    section.blog-banner .wrapper,
    section.blog-banner .container-fluid {
        background: none !important;
        background-image: none !important;
    }
    /* REMOVE pseudo elements (blue shapes etc.) */
    section.blog-banner::before,
    section.blog-banner::after,
    section.blog-banner .wrapper::before,
    section.blog-banner .wrapper::after {
        content: none !important;
        display: none !important;
    }
    /* REMOVE default container padding */
    section.blog-banner .container-fluid {
        padding: 0 !important;
    }
    /* APPLY YOUR CUSTOM SPACING */
    section.blog-banner {
        padding: 70px 30px !important;
    }
    section.blog-banner .wrapper {
        display: flex;
        flex-direction: column-reverse;
    }
    /* IMPORTANT: reverse the order values */
    section.blog-banner .blog-back {
        order: 3;
        /* highest = goes TOP in column-reverse */
    }
    section.blog-banner .banner-image {
        order: 2;
        margin: 20px 0;
        text-align: center;
        width: 100%;
        max-width: 1017px;
    }
    section.blog-banner .blog-title {
        order: 1;
        /* lowest = goes bottom */
    }
    section.blog-banner .banner-image img {
        max-width: 100%;
        height: auto;
    }
    .blog-left {
        padding: 0 !important;
    }
    .blog-table-section {
        padding: 70px 30px !important;
    }
    .blog-table-content p {
        padding: 0px !important;
    }
    .blog-image-section {
        padding: 0px 30px 70px;
    }
    .related-blogs {
        padding: 70px 30px;
    }
    section.blog-content-section {
        padding: 0px 30px;
    }
}

@media (max-width: 767px) {
    section.blog-banner {
        padding-right: 20px !important;
        padding-top: 0px !important;
        padding-bottom: 50px !important;
        padding-left: 20px !important;
    }
    .blog-table-section {
        padding: 50px 20px !important;
    }
    .blog-table-content p {
        margin: 0px !important;
    }
    .blog-image-section {
        padding: 0px 20px 50px;
    }
    .related-blogs {
        padding: 50px 20px;
    }
    section.blog-content-section {
        padding: 0px 20px;
    }
}


/* Enable horizontal scroll on smaller screens */

@media (max-width: 991px) {
    .table-wrapper {
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }
    .blog-table {
        min-width: 700px;
        /* adjust based on your content */
    }
    .other-blogs .row>div:nth-child(n+7) {
        display: none;
    }
}